<?php 
global $post;

$post_id = get_the_ID($post->ID);
$post_url = get_permalink($post->ID);
$post_title = get_the_title($post->ID);

echo '<a href="'. esc_url($post_url) .'" title="'. esc_attr($post_title) .'">'. get_the_post_thumbnail( $post_id, 'full') .'</a>';

